// Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
import { createElement, Component, PropTypes } from '@plesk/ui-library';
import classNames from 'classnames';

class Hint extends Component {
    constructor(props) {
        super(props);
        this.state = {
            collapsed: true
        };
    }

    toggle() {
        const collapsed = !this.state.collapsed;
        this.setState({ collapsed });
    }

    render() {
        const { expandable = false, children } = this.props;
        const content = <p>{children}</p>;

    if (!expandable) {
        return content;
    }

        return (
            <div className={classNames('screen-description', !this.state.collapsed && 'expanded')}>
                <div className="description-wrap">
                    {content}
                    <span className="screen-description-control" onClick={this.toggle.bind(this)} />
                </div>
            </div>
    );
    }
}

Hint.propTypes = {
    expandable: PropTypes.bool
};

export default Hint;
