// Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
import { findDOMNode, createElement, Component } from '@plesk/ui-library';

class List extends Component {
    componentDidMount() {
        let { columns, operations, dataUrl, data } = this.props;
        operations = operations.map(operation => {
            return {
                componentType: 'Jsw.SmallButton',
                cls: 's-btn',
                addCls: operation.props.className,
                title: operation.props.children,
                description: operation.props.description,
                handler: operation.props.onClick,
            };
        });

        Jsw.render(findDOMNode(this), new Jsw.List({
            columns,
            operations,
            dataUrl,
            data,
        }));
    }

    render() {
        return (
            <div className="list-box"></div>
        );
    }
}

export default List;
